package flightsim.logbook.gui.exportfilters;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

import flightsim.logbook.LogEntry;


enum DATETIME_SELECTION {
	DATE,
	TIME,
	DATE_TIME,
}

class DateTimeField extends ExportField {

	private DateFormat fmt;
	
	public DateTimeField(String name, String description, String pattern) {
		super(name, description);
		fmt = new SimpleDateFormat(pattern);
	}

	public DateTimeField(String name, String description, DATETIME_SELECTION type, int style) {
		this(name, description, type, style, Locale.getDefault());
	}

	public DateTimeField(String name, String description, DATETIME_SELECTION type, int style, Locale locale) {
		super(name, description);
		switch (type) {
		case DATE:
			fmt = DateFormat.getDateInstance(style, locale);
			break;
		case TIME:
			fmt = DateFormat.getTimeInstance(style, locale);
		case DATE_TIME:
			fmt = DateFormat.getDateTimeInstance(style, style, locale);
		}
		
	}

	@Override
	String format(LogEntry value) {
		return fmt.format(value.getTime());
	}

}
