package flightsim.logbook.gui.exportfilters;

import java.text.DecimalFormat;
import java.text.NumberFormat;

import flightsim.logbook.LogEntry;


abstract class DecimalFormatField extends ExportField {

	protected DecimalFormatField(String name, String description, String fmt) {
		super(name, description);
		this.fmt = new DecimalFormat(fmt);
	}

	private final NumberFormat fmt;
	
	@Override
	String format(LogEntry value) {
		float f = getValue();
		return fmt.format(f);
	}
	
	protected abstract float getValue(); 

}
