package flightsim.logbook.gui.exportfilters;

import flightsim.logbook.LogEntry;

public abstract class ExportField {
	private final String name; 
	private final String description;
	
	
	/**
	 * @param name
	 * @param description
	 */
	protected ExportField(final String name, final String description) {
		this.name = name;
		this.description = description;
	}

	public String getDescription() {
		return description;
	}
	
	public String getName() {
		return name;
	}
	
	abstract String format(LogEntry value);
	
	@Override
	public String toString() {
		return getDescription();
	}
}
