package flightsim.logbook.gui.exportfilters;

import flightsim.logbook.LogEntry;

/**
 * Format duration in the form "28:30"
 * Long is "2 days 4:40"
 * Extralong is "2days 4h 40m 31s"
 * @author lc
 *
 */
abstract class ExtraLongDurationField extends ExportField {

	protected ExtraLongDurationField(String name, String description) {
		super(name, description);
	}

	static String format(float value) {
		StringBuffer sgb = new StringBuffer(""); //$NON-NLS-1$
		int nhours = (int) value;
		int nminutes = (int)((value - nhours) * 60.0);
		int nseconds =(int)((value - nhours - (double)nminutes/60.0) * 3600);
		if (nhours >= 24) {
			int ndays = (int) (value / 24);
			nhours = (int)(value % 24);
			sgb.append(ndays);
			sgb.append(Messages.getString("ExtraLongDurationFormatter.1")); //$NON-NLS-1$
			if (ndays > 1) sgb.append(Messages.getString("ExtraLongDurationFormatter.2")); //$NON-NLS-1$
			sgb.append(" "); //$NON-NLS-1$
		}
		if (nhours >= 1) {
			sgb.append(nhours);
			sgb.append(Messages.getString("ExtraLongDurationFormatter.4")); //$NON-NLS-1$
			sgb.append(" "); //$NON-NLS-1$
		}
		if (nminutes >= 1) {
			sgb.append(nminutes);
			sgb.append(Messages.getString("ExtraLongDurationFormatter.6")); //$NON-NLS-1$
			sgb.append(" "); //$NON-NLS-1$
		}
		sgb.append(nseconds);
		sgb.append(Messages.getString("ExtraLongDurationFormatter.8")); //$NON-NLS-1$
		return sgb.toString();
	}
	
	@Override
	String format(LogEntry value) {
		float f = getValue(value);
		return format(f);
	}
	
	protected abstract float getValue(LogEntry le); 



}
